[arch-commits] Commit in xemacs-base/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 21 21:31:06 EDT 2009


    Date: Tuesday, April 21, 2009 @ 21:31:06
  Author: eric
Revision: 36388

Merged revisions 356,36384 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/xemacs-base/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r36384 | eric | 2009-04-21 21:10:37 -0400 (Tue, 21 Apr 2009) | 2 lines
  
  upgpkg: xemacs-base 2.19-1
      Upstream update, Added license, Added url
........

Modified:
  xemacs-base/repos/extra-i686/	(properties)
  xemacs-base/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)


Property changes on: xemacs-base/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /xemacs-base/trunk:1
   + /xemacs-base/trunk:1-36387

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-22 01:21:40 UTC (rev 36387)
+++ extra-i686/PKGBUILD	2009-04-22 01:31:06 UTC (rev 36388)
@@ -1,19 +1,21 @@
 # $Id$
 # Maintainer: Juergen Hoetzel <juergen at archlinux.org>
 pkgname=xemacs-base
-pkgver=2.10
+pkgver=2.19
 pkgrel=1
 pkgdesc="Fundamental XEmacs support, you almost certainly need this"
 arch=(i686 x86_64)
+url="http://www.xemacs.org"
+license=('GPL')
 depends=('xemacs')
 conflicts=('xemacs-sumo')
 source=(http://ftp.xemacs.org/pub/xemacs/packages/$pkgname-$pkgver-pkg.tar.gz)
-md5sums=('aeb02471310ce01a438a7409435410ad')
+md5sums=('b11cf876d7719567d624ab8f331df50a')
 
 build() {
-  cd $startdir/src
+  cd $srcdir
   for subdir in etc lisp; do 
-      mkdir -p $startdir/pkg/usr/lib/xemacs/xemacs-packages/${subdir}
-      cp -a ${subdir}/*  $startdir/pkg/usr/lib/xemacs/xemacs-packages/${subdir}
+      install -d $pkgdir/usr/lib/xemacs/xemacs-packages/${subdir}
+      cp -a ${subdir}/*  $pkgdir/usr/lib/xemacs/xemacs-packages/${subdir} || return 1
   done
-}
\ No newline at end of file
+}



More information about the arch-commits mailing list